New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Error installing pycrypto in setuptools 10.0 #319

Closed
bb-migration opened this Issue Dec 30, 2014 · 7 comments

Comments

Projects
None yet
1 participant
@bb-migration

bb-migration commented Dec 30, 2014

Originally reported by: Anonymous


While installing pycrypto using buildout I got the following error

Getting distribution for 'pycrypto==2.6.1'.
error: Setup script exited with usage: setup.py [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]
or: setup.py --help [cmd1 cmd2 ...]
or: setup.py --help-commands
or: setup.py cmd --help

error: invalid command 'bdist_egg'
An error occurred when trying to install pycrypto 2.6.1. Look above this message for any errors that were output by easy_install.
While:


@bb-migration

This comment has been minimized.

bb-migration commented Dec 30, 2014

Original comment by papachoco (Bitbucket: papachoco, GitHub: papachoco):


This applies for version 10.

@bb-migration

This comment has been minimized.

bb-migration commented Dec 30, 2014

Original comment by jaraco (Bitbucket: jaraco, GitHub: jaraco):


I see the same error. Here's what's happening - setuptools is removing itself from the environment before invoking setup.py for pycrypto. It does this to avoid the issue described in #315.

Since pycrypto uses only distutils and not setuptools, the commands for setuptools aren't available.

@bb-migration

This comment has been minimized.

bb-migration commented Dec 30, 2014

Original comment by papachoco (Bitbucket: papachoco, GitHub: papachoco):


I guess we should file an issue w/ pycrypto

@bb-migration

This comment has been minimized.

bb-migration commented Dec 30, 2014

Original comment by jaraco (Bitbucket: jaraco, GitHub: jaraco):


Oh, no. Setuptools should support distutils-only packages. I'm working on a test and patch now.

@bb-migration

This comment has been minimized.

bb-migration commented Dec 30, 2014

Original comment by papachoco (Bitbucket: papachoco, GitHub: papachoco):


Thanks a lot Jason

Carlos

@bb-migration

This comment has been minimized.

bb-migration commented Dec 30, 2014

Original comment by jaraco (Bitbucket: jaraco, GitHub: jaraco):


Add test capturing failure. Ref #319.

@bb-migration

This comment has been minimized.

bb-migration commented Dec 30, 2014

Original comment by jaraco (Bitbucket: jaraco, GitHub: jaraco):


Ensure setuptools is present in the environment before invoking setup.py from easy_install. Fixes #319.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment